All of lore.kernel.org
 help / color / mirror / Atom feed
* [5.4 / 4.19] backport of 2cea4a7a1885bd0c765089afc14f7ff0eb77864e and fe968c41ac4f4ec9ffe3c4cf16b72285f5e9674f
@ 2021-02-22 13:51 Rolf Eike Beer
  2021-02-22 13:53 ` [PATCH 5.4/4.19 1/2] scripts: use pkg-config to locate libcrypto Rolf Eike Beer
                   ` (2 more replies)
  0 siblings, 3 replies; 4+ messages in thread
From: Rolf Eike Beer @ 2021-02-22 13:51 UTC (permalink / raw)
  To: stable

[-- Attachment #1: Type: text/plain, Size: 606 bytes --]

Hi,

the attached patches are the backport of these 2 patches for tools/Makefile 
that allows building when OpenSSL is not at the default location. They apply 
cleanly to both to 5.4.99 and 4.19.176. Backports for older stable kernels 
will follow.

Greetings,

Eike
-- 
Rolf Eike Beer, emlix GmbH, http://www.emlix.com
Fon +49 551 30664-0, Fax +49 551 30664-11
Gothaer Platz 3, 37083 Göttingen, Germany
Sitz der Gesellschaft: Göttingen, Amtsgericht Göttingen HR B 3160
Geschäftsführung: Heike Jordan, Dr. Uwe Kracke – Ust-IdNr.: DE 205 198 055

emlix - smart embedded open source

[-- Attachment #2: This is a digitally signed message part. --]
[-- Type: application/pgp-signature, Size: 313 bytes --]

^ permalink raw reply	[flat|nested] 4+ messages in thread

* [PATCH 5.4/4.19 1/2] scripts: use pkg-config to locate libcrypto
  2021-02-22 13:51 [5.4 / 4.19] backport of 2cea4a7a1885bd0c765089afc14f7ff0eb77864e and fe968c41ac4f4ec9ffe3c4cf16b72285f5e9674f Rolf Eike Beer
@ 2021-02-22 13:53 ` Rolf Eike Beer
  2021-02-22 13:54 ` [PATCH 5.4/5.19 2/2] scripts: set proper OpenSSL include dir also for sign-file Rolf Eike Beer
  2021-02-25  8:24 ` [5.4 / 4.19] backport of 2cea4a7a1885bd0c765089afc14f7ff0eb77864e and fe968c41ac4f4ec9ffe3c4cf16b72285f5e9674f Greg KH
  2 siblings, 0 replies; 4+ messages in thread
From: Rolf Eike Beer @ 2021-02-22 13:53 UTC (permalink / raw)
  To: stable

commit 2cea4a7a1885bd0c765089afc14f7ff0eb77864e upstream.

Otherwise build fails if the headers are not in the default location. While at
it also ask pkg-config for the libs, with fallback to the existing value.

Signed-off-by: Rolf Eike Beer <eb@emlix.com>
Signed-off-by: Masahiro Yamada <masahiroy@kernel.org>
---
 scripts/Makefile | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/scripts/Makefile b/scripts/Makefile
index 3e86b300f5a1..5f8d3671a709 100644
--- a/scripts/Makefile
+++ b/scripts/Makefile
@@ -10,6 +10,9 @@
 
 HOST_EXTRACFLAGS += -I$(srctree)/tools/include
 
+CRYPTO_LIBS = $(shell pkg-config --libs libcrypto 2> /dev/null || echo -lcrypto)
+CRYPTO_CFLAGS = $(shell pkg-config --cflags libcrypto 2> /dev/null)
+
 hostprogs-$(CONFIG_BUILD_BIN2C)  += bin2c
 hostprogs-$(CONFIG_KALLSYMS)     += kallsyms
 hostprogs-$(CONFIG_LOGO)         += pnmtologo
@@ -23,8 +26,9 @@ hostprogs-$(CONFIG_SYSTEM_EXTRA_CERTIFICATE) += insert-sys-cert
 
 HOSTCFLAGS_sortextable.o = -I$(srctree)/tools/include
 HOSTCFLAGS_asn1_compiler.o = -I$(srctree)/include
-HOSTLDLIBS_sign-file = -lcrypto
-HOSTLDLIBS_extract-cert = -lcrypto
+HOSTLDLIBS_sign-file = $(CRYPTO_LIBS)
+HOSTCFLAGS_extract-cert.o = $(CRYPTO_CFLAGS)
+HOSTLDLIBS_extract-cert = $(CRYPTO_LIBS)
 
 always		:= $(hostprogs-y) $(hostprogs-m)
 
-- 
2.30.0

-- 
Rolf Eike Beer, emlix GmbH, http://www.emlix.com
Fon +49 551 30664-0, Fax +49 551 30664-11
Gothaer Platz 3, 37083 Göttingen, Germany
Sitz der Gesellschaft: Göttingen, Amtsgericht Göttingen HR B 3160
Geschäftsführung: Heike Jordan, Dr. Uwe Kracke – Ust-IdNr.: DE 205 198 055

emlix - smart embedded open source




^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [PATCH 5.4/5.19 2/2] scripts: set proper OpenSSL include dir also for  sign-file
  2021-02-22 13:51 [5.4 / 4.19] backport of 2cea4a7a1885bd0c765089afc14f7ff0eb77864e and fe968c41ac4f4ec9ffe3c4cf16b72285f5e9674f Rolf Eike Beer
  2021-02-22 13:53 ` [PATCH 5.4/4.19 1/2] scripts: use pkg-config to locate libcrypto Rolf Eike Beer
@ 2021-02-22 13:54 ` Rolf Eike Beer
  2021-02-25  8:24 ` [5.4 / 4.19] backport of 2cea4a7a1885bd0c765089afc14f7ff0eb77864e and fe968c41ac4f4ec9ffe3c4cf16b72285f5e9674f Greg KH
  2 siblings, 0 replies; 4+ messages in thread
From: Rolf Eike Beer @ 2021-02-22 13:54 UTC (permalink / raw)
  To: stable

commit fe968c41ac4f4ec9ffe3c4cf16b72285f5e9674f upstream.

Fixes: 2cea4a7a1885 ("scripts: use pkg-config to locate libcrypto")
Signed-off-by: Rolf Eike Beer <eb@emlix.com>
Signed-off-by: Masahiro Yamada <masahiroy@kernel.org>
---
 scripts/Makefile | 1 +
 1 file changed, 1 insertion(+)

diff --git a/scripts/Makefile b/scripts/Makefile
index 5f8d3671a709..b4b7d8b58cd6 100644
--- a/scripts/Makefile
+++ b/scripts/Makefile
@@ -26,6 +26,7 @@ hostprogs-$(CONFIG_SYSTEM_EXTRA_CERTIFICATE) += insert-sys-cert
 
 HOSTCFLAGS_sortextable.o = -I$(srctree)/tools/include
 HOSTCFLAGS_asn1_compiler.o = -I$(srctree)/include
+HOSTCFLAGS_sign-file.o = $(CRYPTO_CFLAGS)
 HOSTLDLIBS_sign-file = $(CRYPTO_LIBS)
 HOSTCFLAGS_extract-cert.o = $(CRYPTO_CFLAGS)
 HOSTLDLIBS_extract-cert = $(CRYPTO_LIBS)
-- 
2.30.0





^ permalink raw reply related	[flat|nested] 4+ messages in thread

* Re: [5.4 / 4.19] backport of 2cea4a7a1885bd0c765089afc14f7ff0eb77864e and fe968c41ac4f4ec9ffe3c4cf16b72285f5e9674f
  2021-02-22 13:51 [5.4 / 4.19] backport of 2cea4a7a1885bd0c765089afc14f7ff0eb77864e and fe968c41ac4f4ec9ffe3c4cf16b72285f5e9674f Rolf Eike Beer
  2021-02-22 13:53 ` [PATCH 5.4/4.19 1/2] scripts: use pkg-config to locate libcrypto Rolf Eike Beer
  2021-02-22 13:54 ` [PATCH 5.4/5.19 2/2] scripts: set proper OpenSSL include dir also for sign-file Rolf Eike Beer
@ 2021-02-25  8:24 ` Greg KH
  2 siblings, 0 replies; 4+ messages in thread
From: Greg KH @ 2021-02-25  8:24 UTC (permalink / raw)
  To: Rolf Eike Beer; +Cc: stable

On Mon, Feb 22, 2021 at 02:51:36PM +0100, Rolf Eike Beer wrote:
> Hi,
> 
> the attached patches are the backport of these 2 patches for tools/Makefile 
> that allows building when OpenSSL is not at the default location. They apply 
> cleanly to both to 5.4.99 and 4.19.176. Backports for older stable kernels 
> will follow.

Now queued up, thanks.

greg k-h

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2021-02-25  8:25 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-02-22 13:51 [5.4 / 4.19] backport of 2cea4a7a1885bd0c765089afc14f7ff0eb77864e and fe968c41ac4f4ec9ffe3c4cf16b72285f5e9674f Rolf Eike Beer
2021-02-22 13:53 ` [PATCH 5.4/4.19 1/2] scripts: use pkg-config to locate libcrypto Rolf Eike Beer
2021-02-22 13:54 ` [PATCH 5.4/5.19 2/2] scripts: set proper OpenSSL include dir also for sign-file Rolf Eike Beer
2021-02-25  8:24 ` [5.4 / 4.19] backport of 2cea4a7a1885bd0c765089afc14f7ff0eb77864e and fe968c41ac4f4ec9ffe3c4cf16b72285f5e9674f Greg KH

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.